// njs_debug.h

#ifndef INCLUDED_NJS_DEBUG
#define INCLUDED_NJS_DEBUG

#ifndef INCLUDED_NJS_SYSTEM
#include <njs_system.h>
#endif

// Debugging Definitions

#define NJS_MAIN                      int main

#ifdef  NJS_DEBUG

extern std::ofstream debug;

#define NJS_DECLARE(x)                x
#define NJS_MSG(x)                    debug << x << std::endl;
#define NJS_REPORT(x)                 debug << #x " = " << x << std::endl;

#else

#define NJS_DECLARE(x)                
#define NJS_MSG(msg)
#define NJS_REPORT(x)

#endif

#endif //! INCLUDED_NJS_DEBUG
